import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"email": "jsmith@example.com",
"permissions": {
"role": "admin",
"agent_ids": [
"<string>"
]
},
"status": "pending",
"accepted_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}List teamspace invites
List all pending invites for a teamspace.
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/invites \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"email": "jsmith@example.com",
"permissions": {
"role": "admin",
"agent_ids": [
"<string>"
]
},
"status": "pending",
"accepted_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the teamspace
Query Parameters
The limit on the number of objects to return, ranging between 1 and 100.
1 <= x <= 100A cursor to use in pagination. after is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo to fetch the next page of the list.
A cursor to use in pagination. before is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before=obj_bar to fetch the previous page of the list.
Response
List of invites for the teamspace
Response containing a list of invites in a teamspace